import { html as n } from "lit";
import { property as a } from "lit/decorators.js";
import { PieIconComponent as u } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var h = Object.defineProperty, g = Object.getOwnPropertyDescriptor, c = (p, r, i, t) => {
  for (var e = t > 1 ? void 0 : t ? g(r, i) : r, l = p.length - 1, s; l >= 0; l--)
    (s = p[l]) && (e = (t ? s(r, i, e) : s(e)) || e);
  return t && e && h(r, i, e), e;
};
let o = class extends u {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--youtubeCircleLarge", this.class = "c-pieIcon c-pieIcon--youtubeCircleLarge", this.name = "IconSocialYoutubeCircleLarge";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--youtubeCircleLarge"><path fill-rule="evenodd" d="M9.194 5.815a12.25 12.25 0 1 1 13.612 20.37A12.25 12.25 0 0 1 9.194 5.816m.972 18.915A10.5 10.5 0 1 0 21.834 7.27a10.5 10.5 0 0 0-11.666 17.46" clip-rule="evenodd"></path><path fill-rule="evenodd" d="M21.47 11.3c.602.164 1.077.65 1.238 1.266.292 1.116.292 3.447.292 3.447s0 2.33-.293 3.447a1.77 1.77 0 0 1-1.237 1.267c-1.092.299-5.47.299-5.47.299s-4.378 0-5.47-.3a1.77 1.77 0 0 1-1.237-1.266C9 18.343 9 16.013 9 16.013s0-2.33.293-3.447a1.77 1.77 0 0 1 1.237-1.267C11.622 11 16 11 16 11s4.378 0 5.47.3m-3.242 5.071-3.66 2.116v-4.232z" clip-rule="evenodd"></path></svg>`;
  }
};
c([
  a({ type: String, reflect: !0 })
], o.prototype, "size", 2);
c([
  a({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = c([
  f("icon-social-youtube-circle-large")
], o);
export {
  o as IconSocialYoutubeCircleLarge
};
